Buffer Over-read in GitHub repository vim/vim prior to 8.2.
Published 2022-05-29 14:15:08
Updated 2023-05-03 12:15:37
Source huntr.dev
View at NVD,   CVE.org

Exploit prediction scoring system (EPSS) score for CVE-2022-1927

Probability of exploitation activity in the next 30 days: 0.09%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 39 % EPSS Score History EPSS FAQ

CVSS scores for CVE-2022-1927

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Source
6.8
MEDIUM AV:N/AC:M/Au:N/C:P/I:P/A:P
8.6
6.4
nvd@nist.gov
7.8
HIGH CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
1.8
5.9
security@huntr.dev
7.8
HIGH CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
1.8
5.9
nvd@nist.gov

CWE ids for CVE-2022-1927

  • The product reads data past the end, or before the beginning, of the intended buffer.
    Assigned by: nvd@nist.gov (Secondary)
  • The product reads from a buffer using buffer access mechanisms such as indexes or pointers that reference memory locations after the targeted buffer.
    Assigned by: security@huntr.dev (Primary)

References for CVE-2022-1927

Products affected by CVE-2022-1927

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!